Debian Bug report logs - #633618
fails to boot on qemu (hardware error: level sensitive irq not supported)

version graph

Package: kfreebsd-image-9.0-0-malta; Maintainer for kfreebsd-image-9.0-0-malta is (unknown);

Reported by: Robert Millan <rmh@debian.org>

Date: Tue, 12 Jul 2011 06:27:01 UTC

Severity: normal

Found in version kfreebsd-9/9.0~svn223870-1

Fixed in version kfreebsd-9/9.0~svn224126-1

Done: Robert Millan <rmh@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, rmh@debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#633618; Package kfreebsd-image-9.0-0-malta. (Tue, 12 Jul 2011 06:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
New Bug report received and forwarded. Copy sent to rmh@debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Tue, 12 Jul 2011 06:27:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: fails to boot on qemu (hardware error: level sensitive irq not supported)
Date: Tue, 12 Jul 2011 08:23:58 +0200
Package: kfreebsd-image-9.0-0-malta
Version: 9.0~svn223870-1
Severity: normal

Note: untill qemu is supported, sanity check can be performed with
"gxemul -e malta -C 5Kc kfreebsd-*-malta -x -M 256"

$ LANG=C qemu-system-mipsel -M malta -kernel kfreebsd-*-malta -serial /dev/stdout | cat
entry: platform_start()
cmd line: kfreebsd-8.2-1-malta  
envp:
        memsize = 134217728
        modetty0 = 38400n8r
memsize = 08000000
Cache info:
  picache_stride    = 4096
  picache_loopcount = 0
  pdcache_stride    = 1024
  pdcache_loopcount = 2
cpu0: MIPS Technologies processor v0.147
  MMU: Standard TLB, 16 entries
  L1 i-cache: 2 ways of 64 sets, 16 bytes per line
  L1 d-cache: 2 ways of 64 sets, 16 bytes per line
  Config1=0x9e190c8b<WatchRegs,EJTAG,FPU>
Physical memory chunk(s):
0x449000 - 0x7ffffff, 129724416 bytes (31671 pages)
Maxmem is 0x8000000
KDB: debugger backends: ddb
KDB: current backend: ddb
hz=100 cyl_per_tick:100000 cyl_per_usec:100 freq:100000000 cyl_per_hz:1000000 cyl_per_stathz:1000000 cyl_per_profhz:1000000
Copyright (c) 1992-2011 The FreeBSD Project.
Copyright (c) 1979, 1980, 1983, 1986, 1988, 1989, 1991, 1992, 1993, 1994
        The Regents of the University of California. All rights reserved.
FreeBSD is a registered trademark of The FreeBSD Foundation.
#0 Sun Jul 10 12:59:03 UTC 2011 mips
real memory  = 134217728 (131072K bytes)
Physical memory chunk(s):
0x004d5000 - 0x07d66fff, 126427136 bytes (30866 pages)
avail memory = 125620224 (119MB)
nfslock: pseudo-device
mem: <memory>
null: <null device, zero device>
nexus0: <MIPS32 root nexus>
gt0: <GT64120 chip> on nexus0
pcib0: <GT64120 PCI bridge> on gt0
qemu: hardware error: level sensitive irq not supported

-- System Information:
Debian Release: 6.0.2
  APT prefers stable
  APT policy: (500, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/2 CPU cores)
Locale: LANG=ca_AD.utf8, LC_CTYPE=ca_AD.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash




Added tag(s) pending. Request was from Robert Millan <rmh@debian.org> to control@bugs.debian.org. (Thu, 14 Jul 2011 23:51:04 GMT) Full text and rfc822 format available.

Reply sent to Robert Millan <rmh@debian.org>:
You have taken responsibility. (Sun, 17 Jul 2011 17:54:10 GMT) Full text and rfc822 format available.

Notification sent to Robert Millan <rmh@debian.org>:
Bug acknowledged by developer. (Sun, 17 Jul 2011 17:54:10 GMT) Full text and rfc822 format available.

Message #12 received at 633618-close@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: 633618-close@bugs.debian.org
Subject: Bug#633618: fixed in kfreebsd-9 9.0~svn224126-1
Date: Sun, 17 Jul 2011 17:50:48 +0000
Source: kfreebsd-9
Source-Version: 9.0~svn224126-1

We believe that the bug you reported is fixed in the latest version of
kfreebsd-9, which is due to be installed in the Debian FTP archive:

kfreebsd-9_9.0~svn224126-1.debian.tar.gz
  to main/k/kfreebsd-9/kfreebsd-9_9.0~svn224126-1.debian.tar.gz
kfreebsd-9_9.0~svn224126-1.dsc
  to main/k/kfreebsd-9/kfreebsd-9_9.0~svn224126-1.dsc
kfreebsd-9_9.0~svn224126.orig.tar.gz
  to main/k/kfreebsd-9/kfreebsd-9_9.0~svn224126.orig.tar.gz
kfreebsd-headers-9-amd64_9.0~svn224126-1_kfreebsd-amd64.deb
  to main/k/kfreebsd-9/kfreebsd-headers-9-amd64_9.0~svn224126-1_kfreebsd-amd64.deb
kfreebsd-headers-9.0-0-amd64_9.0~svn224126-1_kfreebsd-amd64.deb
  to main/k/kfreebsd-9/kfreebsd-headers-9.0-0-amd64_9.0~svn224126-1_kfreebsd-amd64.deb
kfreebsd-headers-9.0-0_9.0~svn224126-1_kfreebsd-amd64.deb
  to main/k/kfreebsd-9/kfreebsd-headers-9.0-0_9.0~svn224126-1_kfreebsd-amd64.deb
kfreebsd-image-9-amd64_9.0~svn224126-1_kfreebsd-amd64.deb
  to main/k/kfreebsd-9/kfreebsd-image-9-amd64_9.0~svn224126-1_kfreebsd-amd64.deb
kfreebsd-image-9.0-0-amd64_9.0~svn224126-1_kfreebsd-amd64.deb
  to main/k/kfreebsd-9/kfreebsd-image-9.0-0-amd64_9.0~svn224126-1_kfreebsd-amd64.deb
kfreebsd-source-9.0_9.0~svn224126-1_all.deb
  to main/k/kfreebsd-9/kfreebsd-source-9.0_9.0~svn224126-1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 633618@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Robert Millan <rmh@debian.org> (supplier of updated kfreebsd-9 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 17 Jul 2011 17:03:23 +0200
Source: kfreebsd-9
Binary: kfreebsd-source-9.0 kfreebsd-headers-9.0-0 kfreebsd-image-9.0-0-amd64 kfreebsd-image-9-amd64 kfreebsd-headers-9.0-0-amd64 kfreebsd-headers-9-amd64 kfreebsd-image-9.0-0-486 kfreebsd-image-9-486 kfreebsd-headers-9.0-0-486 kfreebsd-headers-9-486 kfreebsd-image-9.0-0-686 kfreebsd-image-9-686 kfreebsd-headers-9.0-0-686 kfreebsd-headers-9-686 kfreebsd-image-9.0-0-686-smp kfreebsd-image-9-686-smp kfreebsd-headers-9.0-0-686-smp kfreebsd-headers-9-686-smp kfreebsd-image-9.0-0-xen kfreebsd-image-9-xen kfreebsd-headers-9.0-0-xen kfreebsd-headers-9-xen kfreebsd-image-9.0-0-malta kfreebsd-image-9-malta kfreebsd-headers-9.0-0-malta kfreebsd-headers-9-malta
Architecture: source all kfreebsd-amd64
Version: 9.0~svn224126-1
Distribution: experimental
Urgency: low
Maintainer: GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>
Changed-By: Robert Millan <rmh@debian.org>
Description: 
 kfreebsd-headers-9-486 - header files for kernel of FreeBSD 9 (meta-package)
 kfreebsd-headers-9-686 - header files for kernel of FreeBSD 9 (meta-package)
 kfreebsd-headers-9-686-smp - header files for kernel of FreeBSD 9 (meta-package)
 kfreebsd-headers-9-amd64 - header files for kernel of FreeBSD 9 (meta-package)
 kfreebsd-headers-9-malta - header files for kernel of FreeBSD 9 (meta-package)
 kfreebsd-headers-9-xen - header files for kernel of FreeBSD 9 (meta-package)
 kfreebsd-headers-9.0-0 - Common architecture-specific header files for kernel of FreeBSD 9
 kfreebsd-headers-9.0-0-486 - header files for kernel of FreeBSD 9.0
 kfreebsd-headers-9.0-0-686 - header files for kernel of FreeBSD 9.0
 kfreebsd-headers-9.0-0-686-smp - header files for kernel of FreeBSD 9.0
 kfreebsd-headers-9.0-0-amd64 - header files for kernel of FreeBSD 9.0
 kfreebsd-headers-9.0-0-malta - header files for kernel of FreeBSD 9.0
 kfreebsd-headers-9.0-0-xen - header files for kernel of FreeBSD 9.0
 kfreebsd-image-9-486 - kernel of FreeBSD 9 image (meta-package)
 kfreebsd-image-9-686 - kernel of FreeBSD 9 image (meta-package)
 kfreebsd-image-9-686-smp - kernel of FreeBSD 9 image (meta-package)
 kfreebsd-image-9-amd64 - kernel of FreeBSD 9 image (meta-package)
 kfreebsd-image-9-malta - kernel of FreeBSD 9 image (meta-package)
 kfreebsd-image-9-xen - kernel of FreeBSD 9 image (meta-package)
 kfreebsd-image-9.0-0-486 - kernel of FreeBSD 9.0 image
 kfreebsd-image-9.0-0-686 - kernel of FreeBSD 9.0 image
 kfreebsd-image-9.0-0-686-smp - kernel of FreeBSD 9.0 image
 kfreebsd-image-9.0-0-amd64 - kernel of FreeBSD 9.0 image
 kfreebsd-image-9.0-0-malta - kernel of FreeBSD 9.0 image
 kfreebsd-image-9.0-0-xen - kernel of FreeBSD 9.0 image
 kfreebsd-source-9.0 - source code for kernel of FreeBSD 9.0 with Debian patches
Closes: 630784 633618
Changes: 
 kfreebsd-9 (9.0~svn224126-1) experimental; urgency=low
 .
   * New upstream snapshot.
     - r224072: Fix initialization of i8259 controller on Malta.
       (Closes: #633618).
     - r224126: Restore binary compatibility for GIO_KEYMAP and PIO_KEYMAP.
       (Closes: #630784).
 .
   [ Robert Millan ]
   * Revert part of 005_linux_cflags.diff which isn't going to be
     accepted by upstream, and caused build breakage on GNU/Linux. Bring
     back needed parts of the sed kludge.
   * Provide "kfreebsd-headers" virtual package in kfreebsd-headers-
     @version@-@abiname@-@flavor@.
Checksums-Sha1: 
 833b513de6632e40e305f2ebf7c7cc9beb585f1c 2288 kfreebsd-9_9.0~svn224126-1.dsc
 493aab4a5eca451aa55d7f09458ae103c0d93f40 32606885 kfreebsd-9_9.0~svn224126.orig.tar.gz
 68bd82b5f0e8bd22359483e6c8f69c4179d136ed 78225 kfreebsd-9_9.0~svn224126-1.debian.tar.gz
 976e675bcb076eba83c7014e1534c700c4817fc8 21573014 kfreebsd-source-9.0_9.0~svn224126-1_all.deb
 21abdd9770d338571da0382e54815fb271e94d02 9687218 kfreebsd-headers-9.0-0_9.0~svn224126-1_kfreebsd-amd64.deb
 71d40cbab68610b1bba730825f9d9724fc55be52 16010808 kfreebsd-image-9.0-0-amd64_9.0~svn224126-1_kfreebsd-amd64.deb
 1c23117375c6e1aa01d4f630fd0118532418ca6a 48980 kfreebsd-image-9-amd64_9.0~svn224126-1_kfreebsd-amd64.deb
 b482a76ba5bc30d9fa2d8707456146d4e763bbf7 317118 kfreebsd-headers-9.0-0-amd64_9.0~svn224126-1_kfreebsd-amd64.deb
 f2beab036f6d835232471487a1dca286e8f00fcd 48858 kfreebsd-headers-9-amd64_9.0~svn224126-1_kfreebsd-amd64.deb
Checksums-Sha256: 
 15f6972a60aad6bd2e6f7a62d2010a0975ce74864603d61964efce1dbe859efd 2288 kfreebsd-9_9.0~svn224126-1.dsc
 fc8d7d93b239c1d41767f572b4a3119fb265cf28338efde63479548774d1e063 32606885 kfreebsd-9_9.0~svn224126.orig.tar.gz
 13554b7b2c34114ac23e3e67b5512b83ea05aea7ba4a82d816e15c343c1ad350 78225 kfreebsd-9_9.0~svn224126-1.debian.tar.gz
 41fbb929ee99eef22285b4ceb7a6735ac20ccff64b28b13e4a7dc7f2427d6f0d 21573014 kfreebsd-source-9.0_9.0~svn224126-1_all.deb
 ec825ebbd29ee5b8b7a95289bcbda2f881464ac44e4fad934267c86b012b24d0 9687218 kfreebsd-headers-9.0-0_9.0~svn224126-1_kfreebsd-amd64.deb
 a87325cb1ed28cd0e53ff250f8018153b23c2c4ae2424ebb7eea4829199ca38f 16010808 kfreebsd-image-9.0-0-amd64_9.0~svn224126-1_kfreebsd-amd64.deb
 ad4155f0bf8676f848a4eb543055db79758d55fe66ac990b7e5ec27c8598cece 48980 kfreebsd-image-9-amd64_9.0~svn224126-1_kfreebsd-amd64.deb
 e1b30747515a2414dd39cbfb2fa2c6807f97bebac4c0c5dd28017762dc6cf5c2 317118 kfreebsd-headers-9.0-0-amd64_9.0~svn224126-1_kfreebsd-amd64.deb
 e3ffe88b434cd57c3153f6b8c632d7586d0a9cc8a639014aa953ea5f84ae99af 48858 kfreebsd-headers-9-amd64_9.0~svn224126-1_kfreebsd-amd64.deb
Files: 
 053f7cb6429d38128cd7c68f59461bf8 2288 kernel optional kfreebsd-9_9.0~svn224126-1.dsc
 6ad799d664427940d3765306934b38eb 32606885 kernel optional kfreebsd-9_9.0~svn224126.orig.tar.gz
 b95363c12df2a423af36f1834e17e0a7 78225 kernel optional kfreebsd-9_9.0~svn224126-1.debian.tar.gz
 ff84a996ee9bfa7a6dec2caa7785f8de 21573014 kernel optional kfreebsd-source-9.0_9.0~svn224126-1_all.deb
 ebb0527014f4295591fb3007b1800285 9687218 kernel optional kfreebsd-headers-9.0-0_9.0~svn224126-1_kfreebsd-amd64.deb
 d2b46da679ae86552a01de285b332974 16010808 kernel optional kfreebsd-image-9.0-0-amd64_9.0~svn224126-1_kfreebsd-amd64.deb
 77928bba0ea3da0e92336f2438f69f1a 48980 kernel optional kfreebsd-image-9-amd64_9.0~svn224126-1_kfreebsd-amd64.deb
 fe33b45d461a41bb29a692735ad11057 317118 kernel optional kfreebsd-headers-9.0-0-amd64_9.0~svn224126-1_kfreebsd-amd64.deb
 9ff31a12fc75ef0ff5e50f0f9dbf7c19 48858 kernel optional kfreebsd-headers-9-amd64_9.0~svn224126-1_kfreebsd-amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/kFreeBSD)

iEYEARECAAYFAk4jETEACgkQC19io6rUCv9+2QCfQjjxM6rCxwqNTOOpTcM5E1JL
V4kAnifk4Smg0iKTqLX8YQBqCnfPMybE
=PORg
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 15 Aug 2011 07:33:24 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 10:17:11 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.